Delete a Security Group
Deletes the specified Security Group.
delete
Authorizations
AuthorizationstringRequired
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
Path parameters
datacenterIdstringRequired
The unique ID of the data center.
securityGroupIdstringRequired
The unique ID of the Security Group.
Query parameters
prettybooleanOptionalDefault:
Controls whether the response is pretty-printed (with indentations and new lines).
trueResponses
202
Accepted. The request has been accepted for processing.
default
Any erroneous status code:
400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type), 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).
application/json
delete/datacenters/{datacenterId}/securitygroups/{securityGroupId}
DELETE /cloudapi/v6/datacenters/{datacenterId}/securitygroups/{securityGroupId} HTTP/1.1
Host: api.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Last updated
Was this helpful?